Multivariate Pattern Analysis in Python

# mvpa2.misc.support.xunique_combinations

`mvpa2.misc.support.``xunique_combinations`(L, n)

  Generator of unique combinations form a list L of objects in groups of size n.

  Parameters:

  L : list

  > list of unique ids

  n : int

  > grouping size

  Adopted from Li Daobing

  http://code.activestate.com/recipes/190465/

  (MIT license, according to activestate.com’s policy)

  Also good discussions on combinations/variations/permutations

  with various implementations are available at

  http://mail.python.org/pipermail/python-list/2004-October/286054.html